define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-BF9248AF-0076-4630-AB6A-850F31DCE077",
                    "topics":[
                        {
                            "title":"Audience",
                            "href":"preface.html#GUID-C96DAD74-41AC-410C-8E30-E00AFD1354C8"
                        },
                        {
                            "title":"Documentation Accessibility",
                            "href":"preface.html#GUID-E409CC44-9A8F-4043-82C8-6B95CD939296"
                        },
                        {
                            "title":"Related Documents",
                            "href":"preface.html#GUID-8988DE91-835D-4158-9798-6C48BDA01CC8"
                        },
                        {
                            "title":"Conventions",
                            "href":"preface.html#GUID-F5076AE9-41A8-4CAA-9F37-F2E9BD38CE79"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Licensing Information",
                    "href":"licensing-information.html#GUID-2D901045-2E4F-4FE6-9C5B-DDDD2DF12B0E",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">1.1 </span> Introduction",
                            "href":"licensing-information.html#GUID-40EEC471-C9DE-43F0-A3AD-179E3E7FD40A"
                        },
                        {
                            "title":"<span class=\"secnum\">1.2 </span> Third-Party Notices and/or Licenses for Oracle Application Express",
                            "href":"licensing-information.html#GUID-E1C574DE-7CE6-4B57-945D-A92EB9759BA3",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">1.2.1 </span> Commercial Software Included in Oracle Application Express",
                                    "href":"licensing-information.html#GUID-9875EB5F-5F87-44A0-B3E3-3D7C7678A89A"
                                },
                                {
                                    "title":"<span class=\"secnum\">1.2.2 </span> Open Source or Other Separately Licensed Software Included in Oracle Application Express",
                                    "href":"licensing-information.html#GUID-C969806A-E95C-4664-BB61-836670285E69"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> Open Source Software License Text",
                    "href":"open-source-software-license-text.html#GUID-A7B5C606-0233-4DA5-9C69-A110632B103B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">A.1 </span> The Apache Software License, Version 2.0",
                            "href":"open-source-software-license-text.html#GUID-28B82DFE-B010-44D3-A2FE-242E369ECA91"
                        },
                        {
                            "title":"<span class=\"secnum\">A.2 </span> CARTOColors 4.0.1 License",
                            "href":"open-source-software-license-text.html#GUID-03AB04D4-42B1-43E7-8C70-2F16FA56C00F"
                        },
                        {
                            "title":"<span class=\"secnum\">A.3 </span> DOMPurify 2.2.6 License",
                            "href":"open-source-software-license-text.html#GUID-1308913F-6AFA-4F62-82B9-D57417E16891"
                        },
                        {
                            "title":"<span class=\"secnum\">A.4 </span> FullCalendar 3.10.2 License",
                            "href":"open-source-software-license-text.html#GUID-E841B324-0FAC-4D9C-93F1-2FE1376E12C3"
                        },
                        {
                            "title":"<span class=\"secnum\">A.5 </span> FullCalendar 5.5.1 License",
                            "href":"open-source-software-license-text.html#GUID-A86DAAAF-95CC-49E7-90B3-99EC913D0931"
                        },
                        {
                            "title":"<span class=\"secnum\">A.6 </span> JavaScript Extension Toolkit (JET) 10.0 License",
                            "href":"open-source-software-license-text.html#GUID-B0B7C8AA-3F4A-49B7-9E04-CA1E35607B6B"
                        },
                        {
                            "title":"<span class=\"secnum\">A.7 </span> jQuery 3.5.1 License",
                            "href":"open-source-software-license-text.html#GUID-D6CAEC0A-E143-4A59-B979-CC1A724CDCCF"
                        },
                        {
                            "title":"<span class=\"secnum\">A.8 </span> jQuery Migrate 3.3.2 License",
                            "href":"open-source-software-license-text.html#GUID-E5A62D72-B917-45FA-95F1-DE96C1AA705C"
                        },
                        {
                            "title":"<span class=\"secnum\">A.9 </span> mapbox-gl-js 1.13.0",
                            "href":"open-source-software-license-text.html#GUID-AF516A12-6D78-486B-9164-403CA3E16800"
                        },
                        {
                            "title":"<span class=\"secnum\">A.10 </span> maplibre-gl-js 1.13 License",
                            "href":"open-source-software-license-text.html#GUID-795636EE-C676-4114-8984-61DF65E22888"
                        },
                        {
                            "title":"<span class=\"secnum\">A.11 </span> Noto Fonts CJK Version commit 32a5844",
                            "href":"open-source-software-license-text.html#GUID-D39B6145-D091-41A5-BAF4-C0DBE18AFA4B"
                        },
                        {
                            "title":"<span class=\"secnum\">A.12 </span> Noto Sans commit 8ef14e6",
                            "href":"open-source-software-license-text.html#GUID-43FA8B50-D5EA-464B-A910-EC3EC377E6CD"
                        },
                        {
                            "title":"<span class=\"secnum\">A.13 </span> Noto Sans Arabic commit 8ef14e6",
                            "href":"open-source-software-license-text.html#GUID-A031DE03-3EDA-430D-A4C7-E50AA1D8B1C1"
                        },
                        {
                            "title":"<span class=\"secnum\">A.14 </span> Noto Sans Hebrew commit 8ef14e6",
                            "href":"open-source-software-license-text.html#GUID-D4ADF7A3-65E5-4E9F-886A-9C5E7A86946E"
                        },
                        {
                            "title":"<span class=\"secnum\">A.15 </span> Monaco Editor 0.22.3 License",
                            "href":"open-source-software-license-text.html#GUID-83B88273-FAD8-4C0F-A3F2-D3A82750820E"
                        },
                        {
                            "title":"<span class=\"secnum\">A.16 </span> prism.js 1.23.0 License",
                            "href":"open-source-software-license-text.html#GUID-CD91205F-79FE-425A-ABFB-9B01C9C7B833"
                        }
                    ]
                },
                {
                    "title":"Index",
                    "href":"book-index.html"
                }
            ]
        }
    ]
});