define(
{
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"<span class=\"secnum\">1.1 </span> About These Release Notes",
                    "href":"index.html#HTMRN-GUID-540B73CB-08A7-4422-B6BF-CC785EC47694"
                },
                {
                    "title":"<span class=\"secnum\">2.1 </span> Before You Begin",
                    "href":"index.html#HTMRN-GUID-27393A86-EEBE-4923-A61C-6E4F334D566D",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">2.1.1 </span> Oracle Database Requirement",
                            "href":"index.html#HTMRN-GUID-175AC460-3BCB-4871-A14C-5A232EDF8CAD"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.2 </span> Browser Requirements",
                            "href":"index.html#HTMRN-GUID-6E817104-6C58-4FA8-861D-F884AA3369B0"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.3 </span> About Release Numbering Conventions",
                            "href":"index.html#HTMRN-GUID-54D7AD46-0359-40D0-AAD8-E1811F56E446"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.4 </span> About Checking for the Most Current Release",
                            "href":"index.html#HTMRN-GUID-7598F76C-3C26-42B7-9F2E-342DE6877E1A"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.5 </span> About Upgrading to the Latest Oracle Application Express Release",
                            "href":"index.html#HTMRN-GUID-95A96E09-691C-4858-8B59-4042199B9E88"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.6 </span> About Determining Your Release Version",
                            "href":"index.html#HTMRN-GUID-A94C601D-23A9-4BCE-811D-80A542C76A03"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.7 </span> Important Information if Updating from a Release Prior to 21.1",
                            "href":"index.html#HTMRN-GUID-E4353E38-3250-4304-8982-F6D4A7887227"
                        },
                        {
                            "title":"<span class=\"secnum\">2.1.8 </span> Important Information if Upgrading from Oracle Database Version 12c CDB",
                            "href":"index.html#HTMRN-GUID-AF48D015-9CBE-4B0D-9153-39E671386088"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3.1 </span> New Features",
                    "href":"index.html#HTMRN-GUID-D6D545CB-3ECD-468A-9E7F-8CC09F7F478B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">3.1.1 </span> Native Map Region Type",
                            "href":"index.html#HTMRN-GUID-06E81168-001D-4B13-A6F1-4E0AF9AF775B"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.2 </span> Native Markdown Support",
                            "href":"index.html#HTMRN-GUID-B1A8E8B9-DF08-47DC-8C72-9CDD5B98756D"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.3 </span> Universal Theme Enhancements",
                            "href":"index.html#HTMRN-GUID-B14943C7-18EC-4B4A-8CF7-AE582143F09E"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.4 </span> Import Application Export as ZIP",
                            "href":"index.html#HTMRN-GUID-17A760EF-21E5-4192-8577-5520E7483540"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.5 </span> Additional Lazy Loading Support",
                            "href":"index.html#HTMRN-GUID-E553D7A0-CEE0-4BC8-A680-6769F77F50A8"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.6 </span> New Application Data Loading",
                            "href":"index.html#HTMRN-GUID-D2FE9163-AEE6-4C4D-A074-A1AA600BF3A6"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.7 </span> Faceted Search Enhancements",
                            "href":"index.html#HTMRN-GUID-FF619F90-B3FA-4C12-911E-970C03E18C41"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.8 </span> New Date Picker Item Type",
                            "href":"index.html#HTMRN-GUID-9AC341C1-42BF-4FD1-8322-153A6187DF85"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.9 </span> REST Data Sources",
                            "href":"index.html#HTMRN-GUID-AE1635EA-7E65-46F3-AA5C-95B107D2B59E"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.10 </span> New Color Picker Item Type",
                            "href":"index.html#HTMRN-GUID-6C75483D-3770-4E4E-B66A-8608F81B0836"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.11 </span> Report Printing",
                            "href":"index.html#HTMRN-GUID-2E7CB144-9632-490B-896C-BDA58D0BDA90"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.12 </span> Developer Experience",
                            "href":"index.html#HTMRN-GUID-9F3040FA-9185-48FD-B0D9-4142919D7EBD"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.13 </span> JavaScript Library Upgrades",
                            "href":"index.html#HTMRN-GUID-175489FB-CC24-40F6-89EF-A4A7AAFD7770"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.14 </span> Application and Page Checksum",
                            "href":"index.html#HTMRN-GUID-8685CB2F-C5DD-45AF-AD2E-3F9CE99F05CD"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.15 </span> New JavaScript APIs",
                            "href":"index.html#HTMRN-GUID-9D3CA38B-3FDA-446E-9D73-15D141F09394"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.16 </span> FullCalendar Upgraded to v5",
                            "href":"index.html#HTMRN-GUID-093EFEAB-B0FF-465C-80B1-849093FD0531"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.17 </span> Font APEX Icons",
                            "href":"index.html#HTMRN-GUID-79FDC7EC-9120-47A6-8347-21463312E86E"
                        },
                        {
                            "title":"<span class=\"secnum\">3.1.18 </span> Miscellaneous",
                            "href":"index.html#HTMRN-GUID-DAB28AC4-8031-4ED7-8C98-511528DE0E11"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4.1 </span> Changed Behavior",
                    "href":"index.html#HTMRN-GUID-0F34A43F-A2B7-4D06-AA39-839396676C26",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">4.1.1 </span> New Page Designer attribute 'Row CSS Classes' (Layout)",
                            "href":"index.html#HTMRN-GUID-28989AEE-6757-418F-B89F-A2F7821FE45A"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.2 </span> Runtime Developer Toolbar Changes",
                            "href":"index.html#HTMRN-GUID-EF8195AD-073E-4FEF-95BC-F7C79F03D586"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.3 </span> Theme Roller and Logo Editor Changes",
                            "href":"index.html#HTMRN-GUID-2E50CD2B-102A-4217-A00C-4BA1A1503FAB"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.4 </span> Redwood Light Theme Style Updated",
                            "href":"index.html#HTMRN-GUID-0B43F62D-8AAE-46C1-899B-7F6AE2F29E36"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.5 </span> Interactive Grid and Cards Support True Virtual Scroll Pagination",
                            "href":"index.html#HTMRN-GUID-AD800434-1B3E-4969-8CCE-B13795F987C7"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.6 </span> JavaScript API apex.message.showErrors Fix Changes",
                            "href":"index.html#HTMRN-GUID-0B533DE3-D36E-41E1-AB4F-84682F9BD69D"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.7 </span> JavaScript File URLs Require Syntax Change",
                            "href":"index.html#HTMRN-GUID-954764B8-CED8-4CCF-A86D-61A14A3B380D"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.8 </span> Number Field Item Type Formatting Changes",
                            "href":"index.html#HTMRN-GUID-3AAF431E-D7AA-46F8-A03A-15F03B6333F8"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.9 </span> Interactive Grid Fixed Row Height",
                            "href":"index.html#HTMRN-GUID-9426739E-6C1B-4E33-88D9-AE44ADF36EE0"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.10 </span> Client-side Validation Messaging Improvements",
                            "href":"index.html#HTMRN-GUID-983CD4F1-5E1C-43CF-A3F7-B1F4408A7A18"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.11 </span> Dynamic Actions - Client-Side Conditions for Actions Changes",
                            "href":"index.html#HTMRN-GUID-61FB72FE-828E-4614-A083-5C95493E9AD9"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.12 </span> Based On = Display Value of List of Values Changes",
                            "href":"index.html#HTMRN-GUID-63ABB138-F12E-480A-B8B8-8AFF838F8CA7"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.13 </span> Compatibility Mode",
                            "href":"index.html#HTMRN-GUID-712BE54F-08CD-43A3-A645-87B9360ED516"
                        },
                        {
                            "title":"<span class=\"secnum\">4.1.14 </span> Enabling Network Services in Oracle Database 11g or Later",
                            "href":"index.html#HTMRN-GUID-8D125731-989A-4A51-AFFE-00181729F87F",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">4.1.14.1 </span> When and Why Network Services Must be Enabled",
                                    "href":"index.html#HTMRN-GUID-DEA26C53-0220-40F1-86FB-482163CA5681"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.1.14.2 </span> Granting Connect Privileges Prior to Oracle Database 12 <span class=\"italic\">c </span>",
                                    "href":"index.html#HTMRN-GUID-E50853EC-0BE9-4E04-A7D0-AF8E4106A470"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.1.14.3 </span> Granting Connect Privileges in Oracle Database 12 <span class=\"italic\">c </span> or Later",
                                    "href":"index.html#HTMRN-GUID-CA19B8DF-B210-46FC-BC3A-F0DC76AE5625"
                                },
                                {
                                    "title":"<span class=\"secnum\">4.1.14.4 </span> Troubleshooting an Invalid ACL Error",
                                    "href":"index.html#HTMRN-GUID-C795F54B-D05F-4463-8424-052FD4C1CE52"
                                }
                            ]
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5.1 </span> Deprecated Features",
                    "href":"index.html#HTMRN-GUID-657FF369-756E-4F31-96F9-B2D92C3DE084",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">5.1.1 </span> Component View Tab Deprecated",
                            "href":"index.html#HTMRN-GUID-FAF14B98-1456-4E04-BA01-97CEAEBAA5CF"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.2 </span> Syntax {COLUMN_NAME}_LABEL in Interactive Grid Icon and Detail Views Deprecated",
                            "href":"index.html#HTMRN-GUID-F41C725D-0D28-4E1C-8786-BE986885C256"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.3 </span> Date Picker (jQuery) Deprecated",
                            "href":"index.html#HTMRN-GUID-507B5DAF-4478-433F-A46F-8A1B010B25D2"
                        },
                        {
                            "title":"<span class=\"secnum\">5.1.4 </span> Based On - Output of PL/SQL Code attribute Deprecated",
                            "href":"index.html#HTMRN-GUID-0163240C-1AD1-49AF-B5BF-D2DAC6254813"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6.1 </span> Deprecated in Previous Releases",
                    "href":"index.html#HTMRN-GUID-5DB77CAF-5288-4635-8C4D-4C40274BFE5B",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">6.1.1 </span> Deprecated JavaScript Functions",
                            "href":"index.html#HTMRN-GUID-31E36B88-0128-40FD-99AF-C3826546FF5D"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.2 </span> jQuery UI Deprecated",
                            "href":"index.html#HTMRN-GUID-4BCD1A37-908C-4770-8C3C-2F4F721E74A7"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.3 </span> Post Calculation for Page Items Deprecated",
                            "href":"index.html#HTMRN-GUID-9EB2681D-0DD3-4CA6-AD8F-8EB276EE2581"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.4 </span> Show / Hide All Page Items On Same Line attributes Deprecated",
                            "href":"index.html#HTMRN-GUID-B4A888B4-AAFB-4556-8958-9644981301FC"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.5 </span> apex.server Plug-in and Process Function Async Option Deprecated",
                            "href":"index.html#HTMRN-GUID-8BA18416-7E1B-4ADB-BB02-3A2ECE1CA437"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.6 </span> apex.widget.initPageItem Function Deprecated",
                            "href":"index.html#HTMRN-GUID-2782A575-CB40-45FE-9D92-F79A0E8C9DB1"
                        },
                        {
                            "title":"<span class=\"secnum\">6.1.7 </span> Popup LOV Template Deprecated",
                            "href":"index.html#HTMRN-GUID-A78EFC23-6112-4FA7-BDBC-453FE3B217AD"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7.1 </span> Desupported Features",
                    "href":"index.html#HTMRN-GUID-CC4B5D70-22FD-45CA-8F6F-C34A91F1B5BD",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">7.1.1 </span> Websheets Desupported",
                            "href":"index.html#HTMRN-GUID-7B603CE6-A21B-4472-A062-F1E95FC16312"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.2 </span> Migration Workbench Desupported",
                            "href":"index.html#HTMRN-GUID-FE9A4566-1507-4CF1-9D7A-6D6316FF3A95"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.3 </span> REST Administration Interface Desupported",
                            "href":"index.html#HTMRN-GUID-B556E314-DBD2-4349-A427-AF94ABE91624"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.4 </span> AnyChart, AnyMap, and AnyGantt charts Desupported",
                            "href":"index.html#HTMRN-GUID-4252CE2B-A584-494D-A47C-918E2E2DC50E"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.5 </span> Productivity and Sample Applications Desupported",
                            "href":"index.html#HTMRN-GUID-1AE1F299-98E2-4BE9-89AE-5327BADE39FB"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.6 </span> WWV_FLOW_EPG_INCLUDE_LOCAL for Web Entry Points Desupported",
                            "href":"index.html#HTMRN-GUID-C724B01E-593C-4374-AFD7-8B0F50F486C1"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.7 </span> Download Interactive Report as RTF Desupported",
                            "href":"index.html#HTMRN-GUID-4A296F30-8E63-4961-BFC9-57E05FE56919"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.8 </span> History Table in Quick SQL Desupported",
                            "href":"index.html#HTMRN-GUID-4B10102D-0984-4C17-A1F2-6F8B1343D757"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.9 </span> afterModify is Desupported",
                            "href":"index.html#HTMRN-GUID-636614BD-9AF6-4738-9D09-D2077D8541F9"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.10 </span> apex.page.confirm pMessage Parameter is Desupported",
                            "href":"index.html#HTMRN-GUID-322E4127-E702-4B38-BD97-32882CA84A8B"
                        },
                        {
                            "title":"<span class=\"secnum\">7.1.11 </span> apex.navigation.dialog.fireCloseHandler function is Desupported",
                            "href":"index.html#HTMRN-GUID-C2C28782-2812-43CD-B85D-533B0ED02D27"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">8.1 </span> Fixed Bugs",
                    "href":"index.html#HTMRN-GUID-32C4974D-FBCE-4B23-A72D-934E4248C78C"
                },
                {
                    "title":"<span class=\"secnum\">9.1 </span> Open Bugs and Known Issues",
                    "href":"index.html#HTMRN-GUID-5E3BE2CB-71E8-4B01-AD72-9E8BB4927785",
                    "topics":[
                        {
                            "title":"<span class=\"secnum\">9.1.1 </span> Known Issue using 'Source Display' region type plug-in in previously installed Sample Apps",
                            "href":"index.html#HTMRN-GUID-EF173758-9FF1-4309-BF03-F0BBD8F38FD2"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.2 </span> Known Issue for Item and Region Plug-in Visibility During Initialization",
                            "href":"index.html#HTMRN-GUID-111657C9-B7E7-49D1-9C31-C51273C42FC9"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.3 </span> Known Issues for JavaScript",
                            "href":"index.html#HTMRN-GUID-47374334-1830-498B-8AB1-1C4704B528F9"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.4 </span> Known Issue with New Version Date Picker in Universal Theme 1.5 and Earlier",
                            "href":"index.html#HTMRN-GUID-7D10F081-F754-4E51-BDA9-54E1BDE2F49E"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.5 </span> Known Issue using Code Editor in Safari 13",
                            "href":"index.html#HTMRN-GUID-1665390A-5B4C-40D7-8DBD-EF17E4630628"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.6 </span> Known Issue Using Component View in Firefox",
                            "href":"index.html#HTMRN-GUID-25AE7ECE-1C5F-4672-8481-4E8304ADFB94"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.7 </span> Known Issues for jQuery UI and jQuery Upgrade",
                            "href":"index.html#HTMRN-GUID-6265BFAE-380D-4246-BDFC-01D877D6721A"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.8 </span> Known Issues for RESTful Services and Oracle REST Data Services (ORDS)",
                            "href":"index.html#HTMRN-GUID-B9DCE54C-C0E3-44FE-A8DE-8B9BB8382450",
                            "topics":[
                                {
                                    "title":"<span class=\"secnum\">9.1.8.1 </span> Issue when Workspace Name Differs From First Provisioned Schema Name",
                                    "href":"index.html#HTMRN-GUID-E11AE7D2-2944-47BB-A086-EFC7B9A02785"
                                },
                                {
                                    "title":"<span class=\"secnum\">9.1.8.2 </span> Issue when Migrating Application Express RESTful Services with a Null URI to ORDS",
                                    "href":"index.html#HTMRN-GUID-7A2B1E58-1185-4BC6-ACA7-A324170F292F"
                                },
                                {
                                    "title":"<span class=\"secnum\">9.1.8.3 </span> Issue when Using SQL Developer or SQL Scripts to Enable ORDS on an Application Express 18.1 or later Schema",
                                    "href":"index.html#HTMRN-GUID-B08BCCD3-20FD-4E9C-90B3-997A6CE5ED2A"
                                }
                            ]
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.9 </span> Interactive Grid support for REST Enabled SQL",
                            "href":"index.html#HTMRN-GUID-D70DD30C-E641-4416-8534-06E577866C31"
                        },
                        {
                            "title":"<span class=\"secnum\">9.1.10 </span> Group By Component Type mode prevents Default View",
                            "href":"index.html#HTMRN-GUID-44A090F9-8C61-4564-B86F-450FA3158343"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">10.1 </span> Documentation Accessibility",
                    "href":"index.html#HTMRN-GUID-E409CC44-9A8F-4043-82C8-6B95CD939296"
                },
                {
                    "title":"<span class=\"secnum\">11.1 </span> Privacy Notice",
                    "href":"index.html#HTMRN-GUID-604D24CA-34BE-4DD6-9278-B6BD9E9C0DAA"
                }
            ]
        }
    ]
});